SDK集成问题

项目之前已经集成了,(指定版本2.3.0)现在更新pod后,发现最低兼容的版本是2.4。导致我们项目中一些方法被废弃掉,介于没有中文文档,想来问一下,有什么替换的方法。

AgoraVideoEncoderConfiguration 编码配置在2.3.1中被废弃了

我们官网是有中文文档的哦,API 文档:https://docs.agora.io/cn/Video/API%20Reference/oc/docs/headers/Agora-Objective-C-API-Overview.html

AgoraVideoEncoderConfiguration 没有被废弃呀。你可以参考发版说明:
https://docs.agora.io/cn/Video/release_ios_video?platform=iOS

经过我的排查,是没有找到对应的库文件

我是使用pod自动导入的

是的,我刚才仔细看了下,Agora Video SDK for iOS 在 2.4.0 版本新增 CoreML.framework 库依赖。请确保在集成时添加该库,详见集成客户端。要确保已添加这些库:
image

我这边回滚代码,多次操作,发现是更新libwebp 0.6.1引起的问题,是没有兼容吗??更新后之前代码就有问题。

没明白,你的意思是更新了 libwebp 后,之前的代码会报错?可是你上面的报错截图不是没找到库文件吗?这和 libwebp 库有什么关系额?你用我们最新版 demo 会报错吗?https://download.agora.io/sdk/release/Agora_Native_SDK_for_iOS_v2_9_1_FULL.zip?_ga=2.194870436.805701453.1570587411-1327888702.1570587411